> For the complete documentation index, see [llms.txt](https://docs.eximee.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/7-komponenty-specjalne/oswiadczenia-statements/widocznosc-pojedynczego-mastercheckboxa.md).

# Visibility of a single master checkbox

{% hint style="info" %}
Availability of functionality depends on the license and may not be available in all deployments.
{% endhint %}

In selected implementations, the ability to define multiple master checkboxes is not supported ([Multiple master checkboxes in the statements component](/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/7-komponenty-specjalne/oswiadczenia-statements/wiele-master-checkboxow-w-komponencie-oswiadczen.md)), but it is possible to control the visibility of the only master checkbox. This is done with the List editor **masterCheckboxes** (section **Basic properties**), allowing you to define a single-element list:

![Figure 1. Editor view with the master checkbox visibility option set](https://content.gitbook.com/content/2CssJT0zIo4SJQLbSZ6l/blobs/4NJgpVD7SbrEfV3sbOG8/9s_files/image2024-8-5_14-34-34.png)

When the visibility condition shown in the example (`visibleCondition`) evaluates to `false`, the master checkbox is hidden, whereas when it is `true`, or the configuration has not been defined — the master checkbox will be visible. Conditions are not evaluated from Eximee Designer, so in the application preview the master checkbox will still be visible.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.eximee.com/documentation/documentation-en/budowanie-aplikacji/interfejs-uzytkownika/formularze/biblioteka-komponentow-bazowych/7-komponenty-specjalne/oswiadczenia-statements/widocznosc-pojedynczego-mastercheckboxa.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
